Subject: Re: linux-next: manual merge of the drm-misc tree with the mm-stable tree

From: Daniel Vetter <[email-masked]>
Date: Wed, 19 Apr 2023 18:32:20 +0200

On Wed, Apr 19, 2023 at 09:30:11AM -0700, Nathan Chancellor wrote:
> On Wed, Apr 19, 2023 at 06:24:37PM +0200, Daniel Vetter wrote:
> > On Tue, Apr 18, 2023 at 07:34:44PM +0100, Mark Brown wrote:
> > > On Sun, Apr 16, 2023 at 09:58:50AM +0200, Daniel Vetter wrote:
> > > 
> > > > Note there was a ppc compile fail, which is why we pushed the ttm revert.
> > > > That /should/ be fixed now, but would be good if you can confirm?
> > > 
> > > According to Nathan (CCed) there's still issues with the interaction
> > > with the PowerPC tree.
> > 
> > So this revert was supposed to fix this: 56e51681246e ("drm/ttm: revert
> > "Reduce the number of used allocation orders for TTM pages"")
> > 
> > If there's anything left then I need to chase that asap since the merge
> > window will open soon.
> 
> I think we are talking about two different issues here. My issue is not
> a compilation failure, it is an incorrect merge resolution that is
> happening in -next because of two independent changes in the drm and
> powerpc tree, the thread below should have more information.
> 
> https://lore.kernel.org/[email-masked]/
> 
> I do not think this is something that either tree can solve
> independently of each other, -next has to resolve the conflict correctly
> (which is what I point out in the message above) and a note of it should
> be passed along to Linus so it can be resolved correctly in mainline
> when the time comes.

Ah yes that's a different one. I think we have a note about this one
already, but I'll double-check with Dave Airlie.
-Daniel
-- 
Daniel Vetter
Software Engineer, Intel Corporation
http://blog.ffwll.ch